@import './mixins.scss';

body {
	#my-name {
		font-family: 'Roboto Slab', serif;
	}

	#welcome-message {
		font-family: 'Roboto Slab', serif;
		font-weight: 900;
	}

	#main-app-bar, #main-app-footer .v-card {
		background: linear-gradient(
					90deg, 
					rgba(70,23,70,1) 0%, 
					rgba(116,30,154,1) 35%, 
					rgba(94,30,68,1) 63%, 
					rgba(141,50,30,1) 100%);	
	}

	.page-content-wrapper, .hero-container {
		margin-top: 56px;	
		@include media-breakpoint('md-and-up') {
			margin-top: 64px;
		}	
	}

	.section {

		&.section-light-blue {
			background-color: var(--v-light_blue_section-base);
		}

		&.section-with-bg {
			// background: url('images/vignette.png') repeat;
			background-size: cover;
		}

		&.section-with-bg-vignette {
			background-color: var(--v-info-base) !important;
			// background: url('images/vignette.png') repeat;
			background-size: cover;
		}
	}

	// --- buttons ---
	.social-share-button {
		text-decoration-line: none;
	}

	.v-btn {
		&.no-focus {
			&:focus::before {
				opacity: 0;
			}
		}
		&.no-hover {
			&::hover::before {
				opacity: 0;
			}
		}
	}


	// --- links ---
	.no-underline {
		text-decoration-line: none;
	}

	// --- utils ---
	.break-word {
		word-break: break-word;
	}
}



